#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

#define SCREEN_WIDTH 128 // OLED display width, in pixels
#define SCREEN_HEIGHT 64 // OLED display height, in pixels

// Declaration for an SSD1306 display connected to I2C (SDA, SCL pins)
Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, -1);

void LimparDisplay()
{
  display.clearDisplay();
}

void EscreverDisplay(int col, int lin, int tam, String texto)
{

  display.setTextSize(tam);
  display.setTextColor(WHITE);
  display.setCursor(col, lin);
  display.println(texto);
  display.display(); 
  delay(100);
 
}

void EscreverDisplay(int col, int lin, int tam, int valor)
{

  display.setTextSize(tam);
  display.setTextColor(WHITE);
  display.setCursor(col, lin);
  display.println(valor);
  display.display(); 
  delay(100);
 
}


void AtivarDisplay()
{
  display.begin(SSD1306_SWITCHCAPVCC, 0x3C);
  display.clearDisplay();

  display.setTextSize(5);
  display.setTextColor(WHITE);
  display.setCursor(0, 0);
  // Display static text
  display.println("OPEN");
  display.setCursor(0, 40);
  // Display static text
  display.setTextSize(2);
  display.println("ROBOTICS");
  display.display(); 
  delay(100);
 
}
